## tdepacman-trinity 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( tdepacman )
set( VERSION R14.0.9 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( maps )
add_subdirectory( pics )
add_subdirectory( fonts )
add_subdirectory( tdepacman )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
tdepacman-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 16 Oct 2020 16:22:44 +0200

tdepacman-trinity (0.3.2-0debian) testing; urgency=low

  * Initial import in TDE

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Sat, 05 Sep 2020 20:56:00 +0900

=== debian/control ===
Source: tdepacman-trinity
Section: games
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: J.rg Th.nnissen <joe@dsite.de>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, intltool, tdelibs14-trinity-dev, libtdegames-trinity-dev
Standards-Version: 0.3.2

Package: tdepacman-trinity
Architecture: any
Section: games
Depends: ${shlibs:Depends}
Replaces: tdepacman-trinity (<< 4:14.0.0~)
Breaks: tdepacman-trinity (<< 4:14.0.0~)
Description: A pacman clone game for TDE.
 TDEPacman is a classic arcade game.
 .
 Pac-Man was designed by Toru Iwatani, Namco first released the game in
 Japan in May 1980.

## tdepacman-trinity 14.0.10

=== debian/changelog ===
tdepacman-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tdepacman-trinity
 Section: games
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: J.rg Th.nnissen <joe@dsite.de>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, intltool, tdelibs14-trinity-dev, libtdegames-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev, libtdegames-trinity-dev
 Standards-Version: 0.3.2
 
 Package: tdepacman-trinity

## tdepacman-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( tdepacman )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -72,8 +72,12 @@
 add_subdirectory( pics )
 add_subdirectory( fonts )
 add_subdirectory( tdepacman )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
tdepacman-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdepacman

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 19 Oct 2021 02:01:26 +0200

## tdepacman-trinity 14.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( tdepacman )
-set( VERSION R14.0.11 )
+set( VERSION R14.0.12 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
tdepacman-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdepacman

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:35 +0100

## tdepacman-trinity 14.0.13

=== debian/changelog ===
tdepacman-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdepacman

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 24 Jun 2022 11:21:08 +0200

## tdepacman-trinity 14.1.0

=== debian/changelog ===
tdepacman-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdepacman

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## tdepacman-trinity 14.1.1

=== debian/changelog ===
tdepacman-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdepacman

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 09:43:03 +0200

## tdepacman-trinity 14.1.2

=== debian/changelog ===
tdepacman-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdepacman

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 13:03:35 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

## tdepacman-trinity 14.1.3

=== debian/changelog ===
tdepacman-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdepacman

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 29 Apr 2024 23:34:16 +0200

## tdepacman-trinity 14.1.4

=== debian/changelog ===
tdepacman-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdepacman

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tdepacman-trinity 14.1.5~pre1

=== debian/changelog ===
tdepacman-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 00285ce37e908fa3f9a641e53b36ab4a737def02
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdepacman

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdepacman-trinity 14.1.5

=== maps/CMakeLists.txt ===

add_subdirectory( mspacman )

=== maps/mspacman/CMakeLists.txt ===
##### other data

install(
    FILES map01 map02 map03 map04
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/maps/mspacman
)

=== pics/zacman/CMakeLists.txt ===
##### other data

file( GLOB xpm_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.xpm )

install(
    FILES ${xpm_files}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/pics/zacman
)

=== debian/changelog ===
tdepacman-trinity (4:14.1.5-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdepacman

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: J.rg Th.nnissen <joe@dsite.de>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev, libtdegames-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libtdegames-trinity-dev
 Standards-Version: 0.3.2
 
 Package: tdepacman-trinity

## tdepacman-trinity 14.1.6~pre0

=== debian/changelog ===
tdepacman-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 00285ce37e908fa3f9a641e53b36ab4a737def02
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdepacman

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdepacman-trinity 14.1.6~pre1

=== debian/changelog ===
tdepacman-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 6e2ee4e05fe0166c2cc574e3f89ddb802b6695d3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdepacman

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:36:23 +0100

## tdepacman-trinity 14.2.0~pre33

=== debian/changelog ===
tdepacman-trinity (4:14.2.0~pre33-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for e77d7a38e462e28c2d913ba0fa15e69aed22ebb8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdepacman

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## tdepacman-trinity 14.2.0~pre34

=== debian/changelog ===
tdepacman-trinity (4:14.2.0~pre34-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 1f5d12ce9654005c8c0b635504c2a936dc49c041
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdepacman

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:54:44 +0100
